Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.xml
Class JaxbVariableInstanceLog

    java.lang.Object
      org.jbpm.process.audit.xml.AbstractJaxbHistoryObject<VariableInstanceLog>
          org.jbpm.process.audit.xml.JaxbVariableInstanceLog

    public class JaxbVariableInstanceLog

extends AbstractJaxbHistoryObject<VariableInstanceLog>

Field Summary

Fields inherited from class org.jbpm.process.audit.xml.AbstractJaxbHistoryObject
`realClass`

Constructor Summary
`JaxbVariableInstanceLog()`
`JaxbVariableInstanceLog(VariableInstanceLog origLog)`

Method Summary
`Date` | `getDate()`
`String` | `getExternalId()`
`Long` | `getId()`
`String` | `getOldValue()`
`String` | `getProcessId()`
`Long` | `getProcessInstanceId()`
`String` | `getValue()`
`String` | `getVariableId()`
`String` | `getVariableInstanceId()`

Methods inherited from class org.jbpm.process.audit.xml.AbstractJaxbHistoryObject
`createEntityInstance, readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbVariableInstanceLog

    public JaxbVariableInstanceLog()

### JaxbVariableInstanceLog

    public JaxbVariableInstanceLog(VariableInstanceLog origLog)

Method Detail

### getId

    public Long getId()

### getProcessInstanceId

    public Long getProcessInstanceId()

### getProcessId

    public String getProcessId()

### getDate

    public Date getDate()

### getVariableInstanceId

    public String getVariableInstanceId()

### getVariableId

    public String getVariableId()

### getValue

    public String getValue()

### getOldValue

    public String getOldValue()

### getExternalId

    public String getExternalId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.